- MongoDB C Driver 1.13.1 »
- API Reference »
- mongoc_client_pool_t

# mongoc_client_pool_max_size()

## Synopsis

    void
    mongoc_client_pool_min_size (mongoc_client_pool_t *pool,
                                 uint32_t max_pool_size);

This function sets the maximum number of pooled connections available from a mongoc_client_pool_t.

## Parameters

- `pool`: A mongoc_client_pool_t.
- `max_pool_size`: The maximum number of connections which shall be available from the pool.

## Thread Safety

This function is safe to call from multiple threads.

Created using Sphinx 1.8.3, based on Sphinx Readable Theme.